libetonyek::IWORKOutputElements Class Reference documentation

Public Member Functions | Private Types | Private Attributes | List of all members
libetonyek::IWORKOutputElements Class Reference

`#include <IWORKOutputElements.h>`

## Public Member Functions
| IWORKOutputElements ()
void | append (const IWORKOutputElements &elements)
void | write (IWORKDocumentInterface *iface) const
void | clear ()
bool | empty () const
void | addCloseComment ()
void | addCloseEndnote ()
void | addCloseFooter ()
void | addCloseFootnote ()
void | addCloseFrame ()
void | addCloseGroup ()
void | addCloseHeader ()
void | addCloseLink ()
void | addCloseListElement ()
void | addCloseOrderedListLevel ()
void | addCloseParagraph ()
void | addCloseSection ()
void | addCloseSpan ()
void | addCloseTable ()
void | addCloseTableCell ()
void | addCloseTableRow ()
void | addCloseUnorderedListLevel ()
void | addDrawGraphicObject (const librevenge::RVNGPropertyList &propList)
void | addDrawPath (const librevenge::RVNGPropertyList &propList)
void | addDrawPolyline (const librevenge::RVNGPropertyList &propList)
void | addEndLayer ()
void | addEndNotes ()
void | addEndTextObject ()
void | addInsertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | addInsertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | addInsertField (const librevenge::RVNGPropertyList &propList)
void | addInsertLineBreak ()
void | addInsertSpace ()
void | addInsertTab ()
void | addInsertText (const librevenge::RVNGString &text)
void | addOpenComment (const librevenge::RVNGPropertyList &propList)
void | addOpenEndnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFormulaCell (const librevenge::RVNGPropertyList &propList, const IWORKFormula &formula, const boost::optional< unsigned > &formulaHC, const IWORKTableNameMapPtr_t &tableNameMap)
void | addOpenFooter (const librevenge::RVNGPropertyList &propList)
void | addOpenFootnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFrame (const librevenge::RVNGPropertyList &propList)
void | addOpenGroup (const librevenge::RVNGPropertyList &propList)
void | addOpenHeader (const librevenge::RVNGPropertyList &propList)
void | addOpenLink (const librevenge::RVNGPropertyList &propList)
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addOpenOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSection (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenTable (const librevenge::RVNGPropertyList &propList)
void | addOpenTableCell (const librevenge::RVNGPropertyList &propList)
void | addOpenTableRow (const librevenge::RVNGPropertyList &propList)
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addSetStyle (const librevenge::RVNGPropertyList &propList)
void | addStartLayer (const librevenge::RVNGPropertyList &propList)
void | addStartNotes (const librevenge::RVNGPropertyList &propList)
void | addStartTextObject (const librevenge::RVNGPropertyList &propList)

## Private Types
typedef std::deque< std::shared_ptr< IWORKOutputElement > > | ElementList_t

## Private Attributes
ElementList_t | m_elements

## Member Typedef Documentation

## ◆ ElementList_t

typedef std::deque<std::shared_ptr<IWORKOutputElement> > libetonyek::IWORKOutputElements::ElementList_t
| private

## Constructor & Destructor Documentation

## ◆ IWORKOutputElements()

libetonyek::IWORKOutputElements::IWORKOutputElements | ( |  | ) |

## Member Function Documentation

## ◆ addCloseComment()

void libetonyek::IWORKOutputElements::addCloseComment | ( |  | ) |

Referenced by libetonyek::PAGCollector::collectAnnotation(), libetonyek::KEYCollector::collectStickyNote(), and libetonyek::IWAParser::parseText().

## ◆ addCloseEndnote()

void libetonyek::IWORKOutputElements::addCloseEndnote | ( |  | ) |

## ◆ addCloseFooter()

void libetonyek::IWORKOutputElements::addCloseFooter | ( |  | ) |

## ◆ addCloseFootnote()

void libetonyek::IWORKOutputElements::addCloseFootnote | ( |  | ) |

Referenced by libetonyek::IWAParser::parseText().

## ◆ addCloseFrame()

void libetonyek::IWORKOutputElements::addCloseFrame | ( |  | ) |

Referenced by libetonyek::PAGCollector::drawMedia(), libetonyek::PAGCollector::drawTable(), and libetonyek::PAGCollector::drawTextBox().

## ◆ addCloseGroup()

void libetonyek::IWORKOutputElements::addCloseGroup | ( |  | ) |

Referenced by libetonyek::IWORKCollector::closeGroup().

## ◆ addCloseHeader()

void libetonyek::IWORKOutputElements::addCloseHeader | ( |  | ) |

## ◆ addCloseLink()

void libetonyek::IWORKOutputElements::addCloseLink | ( |  | ) |

Referenced by libetonyek::IWORKText::closeLink().

## ◆ addCloseListElement()

void libetonyek::IWORKOutputElements::addCloseListElement | ( |  | ) |

Referenced by libetonyek::IWORKText::closePara(), libetonyek::IWORKText::handleListLevelChange(), and libetonyek::IWORKText::openPara().

## ◆ addCloseOrderedListLevel()

void libetonyek::IWORKOutputElements::addCloseOrderedListLevel | ( |  | ) |

Referenced by libetonyek::IWORKText::handleListLevelChange().

## ◆ addCloseParagraph()

void libetonyek::IWORKOutputElements::addCloseParagraph | ( |  | ) |

Referenced by libetonyek::IWORKText::closePara(), and libetonyek::IWORKTable::draw().

## ◆ addCloseSection()

void libetonyek::IWORKOutputElements::addCloseSection | ( |  | ) |

Referenced by libetonyek::IWORKText::closeSection().

## ◆ addCloseSpan()

void libetonyek::IWORKOutputElements::addCloseSpan | ( |  | ) |

Referenced by libetonyek::IWORKText::closeSpan(), and libetonyek::IWORKTable::draw().

## ◆ addCloseTable()

void libetonyek::IWORKOutputElements::addCloseTable | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addCloseTableCell()

void libetonyek::IWORKOutputElements::addCloseTableCell | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addCloseTableRow()

void libetonyek::IWORKOutputElements::addCloseTableRow | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addCloseUnorderedListLevel()

void libetonyek::IWORKOutputElements::addCloseUnorderedListLevel | ( |  | ) |

Referenced by libetonyek::IWORKText::handleListLevelChange().

## ◆ addDrawGraphicObject()

void libetonyek::IWORKOutputElements::addDrawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::KEYCollector::drawMedia().

## ◆ addDrawPath()

void libetonyek::IWORKOutputElements::addDrawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKCollector::drawShape().

## ◆ addDrawPolyline()

void libetonyek::IWORKOutputElements::addDrawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKCollector::drawLine().

## ◆ addEndLayer()

void libetonyek::IWORKOutputElements::addEndLayer | ( |  | ) |

## ◆ addEndNotes()

void libetonyek::IWORKOutputElements::addEndNotes | ( |  | ) |

## ◆ addEndTextObject()

void libetonyek::IWORKOutputElements::addEndTextObject | ( |  | ) |

Referenced by libetonyek::PAGCollector::drawTable(), libetonyek::PAGCollector::drawTextBox(), and libetonyek::KEYCollector::drawTextBox().

## ◆ addInsertBinaryObject()

void libetonyek::IWORKOutputElements::addInsertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::PAGCollector::drawMedia().

## ◆ addInsertCoveredTableCell()

void libetonyek::IWORKOutputElements::addInsertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addInsertField()

void libetonyek::IWORKOutputElements::addInsertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKText::insertField().

## ◆ addInsertLineBreak()

void libetonyek::IWORKOutputElements::addInsertLineBreak | ( |  | ) |

Referenced by libetonyek::IWORKText::insertLineBreak().

## ◆ addInsertSpace()

void libetonyek::IWORKOutputElements::addInsertSpace | ( |  | ) |

Referenced by libetonyek::IWORKText::insertSpace().

## ◆ addInsertTab()

void libetonyek::IWORKOutputElements::addInsertTab | ( |  | ) |

Referenced by libetonyek::IWORKText::insertTab().

## ◆ addInsertText()

void libetonyek::IWORKOutputElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKText::insertText().

## ◆ addOpenComment()

void libetonyek::IWORKOutputElements::addOpenComment | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::PAGCollector::collectAnnotation(), libetonyek::KEYCollector::collectStickyNote(), and libetonyek::IWAParser::parseText().

## ◆ addOpenEndnote()

void libetonyek::IWORKOutputElements::addOpenEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFooter()

void libetonyek::IWORKOutputElements::addOpenFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFootnote()

void libetonyek::IWORKOutputElements::addOpenFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWAParser::parseText().

## ◆ addOpenFormulaCell()

void libetonyek::IWORKOutputElements::addOpenFormulaCell | ( | const librevenge::RVNGPropertyList & | propList,
|  | const IWORKFormula & | formula,
|  | const boost::optional< unsigned > & | formulaHC,
|  | const IWORKTableNameMapPtr_t & | tableNameMap
| ) |  |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenFrame()

void libetonyek::IWORKOutputElements::addOpenFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::PAGCollector::drawMedia(), libetonyek::PAGCollector::drawTable(), and libetonyek::PAGCollector::drawTextBox().

## ◆ addOpenGroup()

void libetonyek::IWORKOutputElements::addOpenGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKCollector::openGroup().

## ◆ addOpenHeader()

void libetonyek::IWORKOutputElements::addOpenHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenLink()

void libetonyek::IWORKOutputElements::addOpenLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKText::openLink().

## ◆ addOpenListElement()

void libetonyek::IWORKOutputElements::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKText::handleListLevelChange(), and libetonyek::IWORKText::openPara().

## ◆ addOpenOrderedListLevel()

void libetonyek::IWORKOutputElements::addOpenOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKText::handleListLevelChange().

## ◆ addOpenParagraph()

void libetonyek::IWORKOutputElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKText::openPara().

## ◆ addOpenSection()

void libetonyek::IWORKOutputElements::addOpenSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKText::openSection().

## ◆ addOpenSpan()

void libetonyek::IWORKOutputElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw(), and libetonyek::IWORKText::openSpan().

## ◆ addOpenTable()

void libetonyek::IWORKOutputElements::addOpenTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenTableCell()

void libetonyek::IWORKOutputElements::addOpenTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenTableRow()

void libetonyek::IWORKOutputElements::addOpenTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenUnorderedListLevel()

void libetonyek::IWORKOutputElements::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKText::handleListLevelChange().

## ◆ addSetStyle()

void libetonyek::IWORKOutputElements::addSetStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKCollector::drawLine(), libetonyek::KEYCollector::drawMedia(), libetonyek::PAGCollector::drawShape(), and libetonyek::IWORKCollector::drawShape().

## ◆ addStartLayer()

void libetonyek::IWORKOutputElements::addStartLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addStartNotes()

void libetonyek::IWORKOutputElements::addStartNotes | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addStartTextObject()

void libetonyek::IWORKOutputElements::addStartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::PAGCollector::drawTable(), libetonyek::PAGCollector::drawTextBox(), and libetonyek::KEYCollector::drawTextBox().

## ◆ append()

void libetonyek::IWORKOutputElements::append | ( | const IWORKOutputElements & | elements | ) |

Referenced by libetonyek::IWORKTable::draw(), libetonyek::IWORKText::draw(), libetonyek::IWORKText::insertBlockContent(), and libetonyek::IWORKText::insertInlineContent().

## ◆ clear()

void libetonyek::IWORKOutputElements::clear | ( |  | ) |

Referenced by libetonyek::PAGCollector::collectAnnotation(), libetonyek::IWORKText::draw(), and libetonyek::KEYCollector::endPage().

## ◆ empty()

bool libetonyek::IWORKOutputElements::empty | ( |  | ) | const

Referenced by libetonyek::PAGCollector::collectAnnotation(), libetonyek::IWORKCollector::collectHeaderFooter(), libetonyek::KEYCollector::collectSlide(), and libetonyek::KEYCollector::startPage().

## ◆ write()

void libetonyek::IWORKOutputElements::write | ( | IWORKDocumentInterface * | iface | ) | const

Referenced by libetonyek::NUMCollector::endDocument(), and libetonyek::PAGCollector::writePageGroupsObjects().

## Member Data Documentation

## ◆ m_elements

ElementList_t libetonyek::IWORKOutputElements::m_elements
| private

Referenced by addCloseComment(), addCloseEndnote(), addCloseFooter(), addCloseFootnote(), addCloseFrame(), addCloseGroup(), addCloseHeader(), addCloseLink(), addCloseListElement(), addCloseOrderedListLevel(), addCloseParagraph(), addCloseSection(), addCloseSpan(), addCloseTable(), addCloseTableCell(), addCloseTableRow(), addCloseUnorderedListLevel(), addDrawGraphicObject(), addDrawPath(), addDrawPolyline(), addEndLayer(), addEndNotes(), addEndTextObject(), addInsertBinaryObject(), addInsertCoveredTableCell(), addInsertField(), addInsertLineBreak(), addInsertSpace(), addInsertTab(), addInsertText(), addOpenComment(), addOpenEndnote(), addOpenFooter(), addOpenFootnote(), addOpenFormulaCell(), addOpenFrame(), addOpenGroup(), addOpenHeader(), addOpenLink(), addOpenListElement(), addOpenOrderedListLevel(), addOpenParagraph(), addOpenSection(), addOpenSpan(), addOpenTable(), addOpenTableCell(), addOpenTableRow(), addOpenUnorderedListLevel(), addSetStyle(), addStartLayer(), addStartNotes(), addStartTextObject(), append(), clear(), empty(), and write().

The documentation for this class was generated from the following files:

- IWORKOutputElements.h
- IWORKOutputElements.cpp